
QGIS Application - Bug report #16202

Color Maps with labels that contain commas

2017-02-16 10:39 PM - Darren Kavanagh

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:2.18.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 24112

Description

Scope - Single Band Pseudocolor Renderer (qgssinglebandpseudocolorrendererwidget.cpp)

Exported color maps labels that contain commas are exported without enclosing the label within double quotes. Example output:

1,255,255,255,255,Label, with comma

Importing color maps that contain labels with commas results in an error:

The following lines contain errors ... .

Manually adding double quotes to label and importing gives the same error.

To correct this problem a different column separator could be used or new logic written to output and parse text fields like a CSV file.

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#2 - 2018-03-26 04:39 AM - Darren Kavanagh

Bug still exists in version 3.0.

#3 - 2018-03-26 05:45 AM - Nyall Dawson

- Description updated

Can you post exact steps to reproduce this? Should be an easy fix, but I'm not sure exactly how to trigger the issue.

#4 - 2018-03-26 08:45 PM - Darren Kavanagh

    1. Add raster to map.

    2. Click properties of raster.

    3. Go to style settings.
    4. Change 'Render type' to 'Singleband pseudocolor.

    5. Add values manually using the plus button. Values do not matter for test. Assign label/s that include comma.

    6. Export color map to file using the disk button. Output can inspected at this point.

    7. Load exported color map via folder button. It will fail to load when comma/s are present in the label.

#5 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
